local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____ISCFeature = require("enums.ISCFeature")
local ISCFeature = ____ISCFeature.ISCFeature
local ____shouldFire = require("shouldFire")
local shouldFireSlot = ____shouldFire.shouldFireSlot
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostSlotDestroyed = __TS__Class()
local PostSlotDestroyed = ____exports.PostSlotDestroyed
PostSlotDestroyed.name = "PostSlotDestroyed"
__TS__ClassExtends(PostSlotDestroyed, CustomCallback)
function PostSlotDestroyed.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireSlot
    self.featuresUsed = {ISCFeature.SLOT_DESTROYED_DETECTION}
end
return ____exports
